Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class LongMath

- org.codehaus.groovy.runtime.typehandling.LongMath

-     public final class LongMath
      extends NumberMath

  Long NumberMath operations

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static LongMath` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Number` | `absImpl(Number number)`
    `` | `public Number` | `addImpl(Number left, Number right)`
    `` | `public Number` | `andImpl(Number left, Number right)`
    `` | `public Number` | `bitAndImpl(Number left, Number right)`
    `` | `public Number` | `bitwiseNegateImpl(Number left)`
    `` | `public int` | `compareToImpl(Number left, Number right)`
    `` | `public Number` | `divideImpl(Number left, Number right)`
    `` | `public Number` | `intdivImpl(Number left, Number right)`
    `` | `public Number` | `leftShiftImpl(Number left, Number right)`
    `` | `public Number` | `modImpl(Number left, Number right)`
    `` | `public Number` | `multiplyImpl(Number left, Number right)`
    `` | `public Number` | `orImpl(Number left, Number right)`
    `` | `public Number` | `remainderImpl(Number left, Number right)`
    `` | `public Number` | `rightShiftImpl(Number left, Number right)`
    `` | `public Number` | `rightShiftUnsignedImpl(Number left, Number right)`
    `` | `public Number` | `subtractImpl(Number left, Number right)`
    `` | `public Number` | `unaryMinusImpl(Number left)`
    `` | `public Number` | `unaryPlusImpl(Number left)`
    `` | `public Number` | `xorImpl(Number left, Number right)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberMath` | `abs, absImpl, add, addImpl, and, andImpl, bitwiseNegate, bitwiseNegateImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, remainder, remainderImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, unaryPlus, unaryPlusImpl, xor, xorImpl`

- - ### Field Detail

    - #### public static final LongMath INSTANCE

  - ### Method Detail

    - #### public Number absImpl(Number number)

    - #### public Number addImpl(Number left, Number right)

    - #### public Number andImpl(Number left, Number right)

    - #### public Number bitAndImpl(Number left, Number right)

    - #### public Number bitwiseNegateImpl(Number left)

    - #### public int compareToImpl(Number left, Number right)

    - #### public Number divideImpl(Number left, Number right)

    - #### public Number intdivImpl(Number left, Number right)

    - #### public Number leftShiftImpl(Number left, Number right)

    - #### public Number modImpl(Number left, Number right)

    - #### public Number multiplyImpl(Number left, Number right)

    - #### public Number orImpl(Number left, Number right)

    - #### public Number remainderImpl(Number left, Number right)

    - #### public Number rightShiftImpl(Number left, Number right)

    - #### public Number rightShiftUnsignedImpl(Number left, Number right)

    - #### public Number subtractImpl(Number left, Number right)

    - #### public Number unaryMinusImpl(Number left)

    - #### public Number unaryPlusImpl(Number left)

    - #### public Number xorImpl(Number left, Number right)